#pragma once
#include "object3d.h"
#include "node.h"

class Box :
	public Object3d
{
public:
	Box(void);
	~Box(void);

	void setDimension(float _width, float _height, float _depth);
	float halfWidth;
	float halfHeight;
	float halfDepth;

protected:
	const static DWORD FVF_Flags = D3DFVF_XYZ;

	struct Vertex
	{
		Vertex(float _x, float _y, float _z)
		{
			x = _x;  
			y = _y;   
			z = _z;
		}

		float x, y, z;
	};
};
