#pragma once
#include "Vector.h"

class Plane
{
public:
	Plane(void);
	~Plane(void);
	
	void setPoint(Vector p);
	void setPoint(float _x, float _y, float _z);
	Vector getPoint();

	void setNormal(Vector &n);
	void setNormal(float _nx, float _ny, float _nz);
	Vector getNormal();

	bool inFront(Vector p);
	bool inFront(float x, float y, float z);

private:
	Vector point;
	Vector normal;
};
