#include "dxstdafx.h"
#include ".\renderer.h"
#include "Scene.h"

Renderer::Renderer(void)
{
	//Get the Device
	this->device = DXUTGetD3DDevice();
	this->myRenderPriority = 1;
	this->nodeAdded = false;
	this->rendererType = 0;
}

Renderer::~Renderer(void)
{
}

void Renderer::setScene(Scene &scene)
{
	this->myScene = &scene;
}

void Renderer::setNode(WPTR<Node> &_myNode)
{
	this->nodeAdded = true;
	this->myNode = _myNode;
}

void Renderer::setRenderPriority(int _priority) 
{
	this->myRenderPriority = _priority;
}

int Renderer::getRenderPriority()
{
	return this->myRenderPriority;
}

bool Renderer::isA(int _rendererType)
{
	return (_rendererType == this->rendererType);
}

bool Renderer::needsExtraPass() {
	return false;
}

//Im Normalfall nichts zu tun!
void Renderer::setCurrentTexture(IDirect3DTexture9* texture) {}

void Renderer::setWorldMatrix(D3DXMATRIX &_worldMat) {}
void Renderer::setViewMatrix(D3DXMATRIX &_viewMat) {}
void Renderer::setProjectionMatrix(D3DXMATRIX &_projMat) {}