#pragma once
#include "renderer.h"
#include "Object3d.h"

class SkyBoxRenderer :
	public Renderer
{
public:
	SkyBoxRenderer(void);
	~SkyBoxRenderer(void);

	virtual void init();
	virtual void render();
	
	virtual void OnLostDevice( void* pUserContext );
	virtual void OnDestroyDevice( void* pUserContext );
	virtual HRESULT OnResetDevice( IDirect3DDevice9* pd3dDevice, const D3DSURFACE_DESC* pBackBufferSurfaceDesc, void* pUserContext );

	virtual bool isLowerThan(Renderer* renderer);
	ID3DXEffect* shadowEffect;
};
