#include "dxstdafx.h"
#include ".\trigger.h"

Trigger::Trigger(void)
{
}

Trigger::Trigger(int _type, float _time)
{
	this->type = _type;
	this->time = _time;
}

Trigger::Trigger(int _type, float _time, std::string _text) {
	this->type = _type;
	this->time = _time;
	this->text = _text;
}

Trigger::Trigger(int _type, SPTR<Node> _node, float _time)
{
	this->type = _type;
	this->node = _node;
	this->time = _time;
}

Trigger::Trigger(int _type, SPTR<Node> _node, SPTR<Node> _secondNode, float _time)
{
	this->type = _type;
	this->node = _node;
	this->time = _time;
	this->secondNode = _secondNode;
}

Trigger::Trigger(int _type, SPTR<Node> _node, SPTR<Node> _secondNode, Vector _normal, float _time)
{
	this->type = _type;
	this->node = _node;
	this->time = _time;
	this->secondNode = _secondNode;
	this->normal = _normal;
}

Trigger::~Trigger(void)
{
}

void Trigger::setType(int _type)
{
	this->type = _type;
}

int Trigger::getType()
{
	return this->type;
}

void Trigger::setNode(SPTR<Node> _node)
{
	this->node = _node;
}

SPTR<Node> Trigger::getNode()
{
	return this->node;
}

void Trigger::setSecondNode(SPTR<Node> _node)
{
	this->secondNode = _node;
}

SPTR<Node> Trigger::getSecondNode() 
{
	return this->secondNode;
}

void Trigger::setTime(float _time)
{
	this->time = _time;
}

float Trigger::getTime()
{
	return this->time;
}

void Trigger::setNormal(Vector _normal)
{
	this->normal = _normal;
}

Vector Trigger::getNormal()
{
	return this->normal;
}
