#pragma once

class RenderPass;
class Node;

class NodeFilter
{
public:
	NodeFilter(void);
	NodeFilter(Node *_node, bool _render);
	~NodeFilter(void);

	void setRenderPass(RenderPass* _renderPass);
	virtual bool renderNode(Node* node);

protected:
	RenderPass* renderPass;
	Node* node;
	bool render;
};
