#pragma once
#include "sharedresource.h"

class SharedResourceTexture :
	public SharedResource
{
public:
	SharedResourceTexture(void);
	~SharedResourceTexture(void);

	void createTexture(int _width, int _height, D3DFORMAT _format, DWORD _usage, D3DPOOL _pool);
	void setTexture(IDirect3DTexture9* _texture);
	IDirect3DTexture9* getTexture();

	virtual void OnLostDevice();

protected:
	bool creator;
	int width;
	int height;
	D3DFORMAT format;
	DWORD usage;
	D3DPOOL pool;
	IDirect3DTexture9* texture;
};
